contacts/api/urls.py
from django.conf.urls import url
from . import views
from django.contrib.auth.decorators import login_required

app_name = 'api'
urlpatterns = [
    url(r'^test', login_required(views.test), name="test"),
    url(r'^list/$', login_required(views.listing), name="list"),
    url(r'^main/$', login_required(views.MainListView.as_view()), name="main"),
    url(r'^department/(?P<dep_id>[0-9]+)$', login_required(views.DepartmentView.as_view()), name="department"),
    url(r'^contact/(?P<pk>[0-9]+)$', login_required(views.ContactView.as_view()), name="contact"),
    url(r'^search/', login_required(views.ContactSearch.as_view()), name="search"),
    url(r'^admin/download/', login_required(views.download_csv), name="download"),
    url(r'^push', login_required(views.send_push_notification), name="push"),
    url(r'^$', views.LoginView.as_view(), name="login"),
    url(r'^logout/$', login_required(views.logout_view), name="logout"),
]

contacts/contacts/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    url(r'^sisc-contacts-admin-interface/', admin.site.urls),
    url(r'^', include('api.urls', namespace='api')),
    url('webpush/', include('webpush.urls')),
    url('^api/v1/', include('social_django.urls', namespace='social')),
]  + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

contacts/api/models.py
from django.db import models
from django.core.validators import FileExtensionValidator
import os


class Department(models.Model):
    name = models.CharField(max_length=30)
    short_name = models.CharField(max_length=5)

    def __str__(self):
        return self.short_name


class Contact(models.Model):

    STATUS_CHOICES = (
        ('M', 'Membru'),
        ('L', 'Lead divizie'),
        ('A', 'Alumnus'),
    )

    last_name = models.CharField(max_length=50)
    first_name = models.CharField(max_length=50)
    email = models.EmailField(max_length=255)
    phone = models.CharField(max_length=10, default="-")
    facebook = models.URLField(max_length=255, default="-")
    department = models.ForeignKey(Department,on_delete=models.CASCADE)
    divizie = models.CharField(max_length=40, null=True)
    status = models.CharField(max_length=1, choices=STATUS_CHOICES, default='M')

    def __str__(self):
        return '{} {}'.format(self.last_name, self.first_name)

    def __unicode__(self):
        return u'%s %s' % (self.first_name, self.last_name)


class Document(models.Model):
    docfile = models.FileField(upload_to="CSV", blank=True, default=None, null=True, validators=[FileExtensionValidator(["csv"])])
    uploader = models.CharField(max_length=255, blank=True, default=None, null=True)
    time = models.CharField(max_length=255, blank=True, default=None, null=True)

    def __str__(self):
        return self.docfile.name

    def delete(self, *args, **kwargs):  ##doesnt work for bulk delete
        if os.path.isfile(self.docfile.path):
            os.remove(self.docfile.path)
        super(Document,self).delete(*args,**kwargs)

contacts/api/forms.py
from django import forms
from .models import Contact
from django.forms import ModelForm


def validate_file_extension(value):
    if not value.name.endswith('.csv'): ##must check for mime type but got an error last time when tried
        raise forms.ValidationError("Only CSV file is accepted")


class DocumentForm(forms.Form):
    docfile = forms.FileField(label='Select a file', validators=[validate_file_extension])


class NotificationForm(forms.Form):

    category_choices = [
        ("All", "All"),
        ("BE-BC", "BE-BC"),
        ("EDU", "EDU"),
        ("FR", "FR"),
        ("HR", "HR"),
        ("IP", "IP"),
        ("IT", "IT")
    ]

    title = forms.CharField(required=True)
    body = forms.CharField(widget=forms.Textarea, required=True)
    department = forms.ChoiceField(choices=category_choices, required=True)


class UpdateContactForm(ModelForm):
    class Meta:
        model = Contact
        fields = ['phone']

contacts/api/views.py
import os
import datetime
import csv
from django.http import HttpResponseRedirect
from django.http import HttpResponse
from django.views import View
from django.contrib.auth.models import User
from django.contrib.auth import views
from django.views.decorators.http import require_POST
from django.views.generic import DetailView
from django.urls import reverse, reverse_lazy
from django.shortcuts import render, redirect
from django.views.generic import ListView, TemplateView
from .models import Department, Contact, Document
from django.contrib.messages.views import SuccessMessageMixin
from django.contrib import messages
from . import models
from .forms import DocumentForm, NotificationForm
from webpush import send_group_notification, send_user_notification


class LoginView(TemplateView):
    template_name = 'hello.html'

    def dispatch(self, request, *args, **kwargs):
        if self.request.user.is_authenticated:
            return redirect('api:main')
        return super().dispatch(request, *args, **kwargs)


def logout_view(request):
    template_response = views.logout_then_login(request, login_url=reverse_lazy('api:login'))
    return template_response


def download_csv(request):
    if request.user.is_staff:
        nume_c = Document.objects.all()[0]
        with open(nume_c.docfile.path, 'r', encoding='utf-8') as csvfile:
            response=HttpResponse(csvfile.read())
            response['content_type']='text/csv'
            response['Content-Disposition']='attachment;filename=contacts.csv'
            return response
    else:
        HttpResponseRedirect(reverse_lazy('api:main'))


class ContactSearch(ListView):
    queryset = models.Contact.objects.all()
    template_name = "search.html"
    context_object_name = "contacts"

    def get_context_data(self,**kwargs):
        context = super(ContactSearch, self).get_context_data(**kwargs)
        try:
            context['current_user'] = Contact.objects.values_list('pk', flat=True).filter(email=self.request.user.email).get()
        except:
            pass
        context['contacts_count'] = Contact.objects.all().count()
        return context


def test(request):
    nume_c = Document.objects.all()[0]
    with open(nume_c.docfile.path, 'r', encoding='utf-8') as csvfile:
        reader = csv.DictReader(csvfile,
                                fieldnames=['last_name', 'first_name', 'email', 'phone', 'status', 'facebook', 'department', 'divizie'])
        for row in reader:
            department = models.Department.objects.filter(short_name=row['department']).get()
            existing_contact = models.Contact.objects.filter(email=row['email']).all()

            with open(os.path.join(os.path.dirname(__file__), 'emails.txt'),'a') as file:
                file.write(row['email'] + '\n')

            if existing_contact.exists():
                contact = existing_contact[0]
                contact.last_name = row['last_name']
                contact.first_name = row['first_name']
                contact.phone = row['phone']
                contact.facebook = row['facebook']
                contact.department = department
                contact.divizie = row['divizie']
                contact.status = row['status']
                contact.save()
            else:
                models.Contact(last_name=row['last_name'],
                               first_name=row['first_name'],
                               email=row['email'],
                               phone=row['phone'],
                               facebook=row['facebook'],
                               department=department,
                               divizie = row['divizie'],
                               status = row['status']).save()
        return HttpResponseRedirect(reverse('api:main'))


def listing(request):
    documents = Document.objects.all()

    if request.method == 'GET':
        if not request.user.is_staff:
            return HttpResponseRedirect(reverse('api:main'))

    if request.method == 'POST':
        form = DocumentForm(request.POST, request.FILES)
        if form.is_valid():
            for i in range(0, Document.objects.filter().count()):
                Document.objects.all()[i].delete()

            newdoc = models.Document(docfile = request.FILES['docfile'], uploader = str(request.user.email).partition("@")[0], time = datetime.datetime.now().strftime('%H:%M %d/%m/%Y'))
            newdoc.docfile.name = "contacts.csv"
            newdoc.save()
            messages.success(request, 'Form submission successful')
        else:
            return render(request, 'list.html', {
                'documents': documents,
                'form': form,
            }, content_type='text/html')

        return HttpResponseRedirect(reverse('api:list'))

    else:
        userEmail = request.user.email
        try:
            user_id = Contact.objects.values_list('pk', flat=True).filter(email=userEmail).get()
        except:
            user_id = 0

        form = DocumentForm()
        notification_form = NotificationForm()
        return render(request,'list.html', {
            'documents': documents, 'form': form, 'notification_form': notification_form, 'cUser': user_id,
        }, content_type='text/html')


class MainListView(ListView):
    template_name = "main.html"
    model = Department
    context_object_name = "departments"

    def get_context_data(self, **kwargs):
        context = super(MainListView, self).get_context_data(**kwargs)
        try:
            context['contact'] = Contact.objects.filter(email=self.request.user.email).get()
        except:
            pass

        return context


class DepartmentView(View):
    model = Contact
    context_object_name = 'contacts'
    template_name = 'department_list.html'

    def get(self,request,dep_id):
        name = Department.objects.get(pk=int(dep_id)).short_name
        count = Contact.objects.filter(department=int(dep_id)).count()
        contacts = Contact.objects.filter(department=int(dep_id))
        try:
            cUser = Contact.objects.values_list('pk', flat=True).filter(
                email=self.request.user.email).get()
        except:
            cUser = 0
        return render(request, 'department_list.html', {
            'dep_id': int(dep_id),
            'contacts': contacts,
            'dep_name': name,
            'dep_count': count,
            'cUser' : cUser
        }, content_type='text/html')


class ContactView(SuccessMessageMixin,DetailView):
    model = Contact
    context_object_name = "contact"
    template_name = 'contact.html'

    def get(self,request,*args,**kwargs):
        self.object = self.get_object()
        context = self.get_context_data(object=self.object)
        context['department_id'] = Department.objects.values_list('pk', flat=True).filter(
            short_name=context['contact'].department)
        context['webpush'] = {"group": context['contact'].department}
        try:
            context['current'] = Contact.objects.values_list('pk', flat=True).filter(
                email=self.request.user.email).get()
        except:
            pass
        return self.render_to_response(context)


@require_POST
def send_push_notification(request):
    form = NotificationForm(request.POST)

    group = form['department'].value()

    payload = {"head": form['title'].value(), "body": form['body'].value(),
               "icon": "https://contacts.sisc.ro/static/images/sisc_notification.png"}

    if form.is_valid():
        if group == 'All':
            users = User.objects.all()
            for user in users:
                send_user_notification(user=user, payload=payload, ttl=1100)
        else:
            send_group_notification(group_name=form['department'].value(), payload=payload, ttl=1100)

    return HttpResponseRedirect(reverse('api:main'))

contacts/api/templates/contact.html
<!DOCTYPE html>
<html lang="en">
    <head>
        {% load static %}
        {% load webpush_notifications %}
        <meta charset="UTF-8">
        <title>SiSC Contacts - {{ contact.first_name }} {{ contact.last_name }}</title>
	<link rel="icon" href="../static/images/sisc.png">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependecies -->
        <link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
        <link rel="stylesheet" href="../static/css/bootstrap.min.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/contact.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="../static/css/toastr.min.css">
        {% webpush_header %}
    </head>
    <body style="background-image:url('../static/images/25.png')">
     <!-- Navbar Starts -->
        <div id="mySidenav" class="sidenav">
              <a href="{% url 'api:main' %}">
                <img class="logo" src="../static/images/sisc.png" />
            </a>
          <a href="{% url 'api:main' %}"><b>Departamente</b></a>
          <a href="{% url 'api:search' %}"><b>Search</b></a>
           {% if current %}
               {% if current == contact.pk %}
                    <a class="active" href="{% url 'api:contact' current %}"><b>Profil</b></a>
               {% else %}
                    <a href="{% url 'api:contact' current %}"><b>Profil</b></a>
               {% endif %}
           {% endif %}
          {% if request.user.is_staff %}
          <a href="{% url 'api:list' %}"><b>Management</b></a>
          <a target="_blank" href="{% url 'admin:index' %}"><b>Admin</b></a>
          {% endif %}
          <a href="{% url 'api:logout' %}"><b>Logout</b></a>
        </div>
        <div id="main">
           <div class="container-fluid">
                <div id="navbar" class="navbar-colored row">
                    <div class="col-12 col-sm-12">
                        <p id="nav-icon1" class="mt-3" onclick="openNav()"><span></span><span></span><span></span></p>
                        <span id="title" class="title">Profil</span>
                    </div>
                </div>
                <div class="container-fluid content">
                    <div class="row">
                        <div class="card min-width">
                            <div class="col-sm-12 mt-3">
                                <img class='img-fluid portrait' src="../static/photos/{{ contact.email }}.jpg"/>
                                <h2>{{ contact.first_name }} {{ contact.last_name }}</h2>
                                <a href="{% url 'api:department' contact.department_id %}"><h3>{{ contact.department }}</h3></a>
                                {% if contact.divizie %}
                                    <span class="info">
                                        <p id="divizie">{{ contact.divizie }}</p>
                                    </span>
                                {% endif %}
                                <span class="info">
                                    <p id="status">{{ contact.get_status_display }}</p>
                                </span>
                                <span class="info">
                                    <input type="text" id="email1" style="display:none">
                                    <span id="email">{{ contact.email }} </span><i class="fa fa-copy clickable" onclick="copyToClipboard('email')"></i>
                                </span>
                                <span class="info">
                                    <input type="text" id="phone1" style="display:none">
                                    <br />
                                    <span id="phone">{{ contact.phone }}</span> <i class="fa fa-copy clickable" onclick="copyToClipboard('phone');"></i>
                                </span>
                                {% if contact.facebook %}
                                <h3><a href="{{ contact.facebook }}" target="_blank">Facebook</a></h3>
                                {% endif %}
                                {% if current %}
                                    {% if current == contact.pk %}
                                          {% webpush_button %}
                                    {% endif %}
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
           </div>
        </div>
    <!--Navbar and it's moveable content end -->
            <script src="../static/js/jquery-3.3.1.min.js"></script>
            <script src="../static/js/navbar.js"></script>
            <script src="../static/js/structure.js"></script>
            <script src="../static/js/toastr.min.js"></script>
            <script src="../static/js/profile.js"></script>
    </body>
</html>

contacts/api/templates/hello.html
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>SiSC Contacts - Login</title>
	<link rel="icon" href="../static/images/sisc.png">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependencies -->
        <!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">-->
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="../static/css/hello.css">
    </head>
     <body>





        <div class="container">
            <img class="logo" src="../static/images/sisc.png" />
            <h1>Contacts</h1>

            <div class="google-btn">
                <div class="google-icon-wrapper">
                    <img class="google-icon-svg" src="https://upload.wikimedia.org/wikipedia/commons/5/53/Google_%22G%22_Logo.svg"/>
                </div>
                <a class="btn loginBtn loginBtn--google" href="{% url 'social:begin' 'google-oauth2' %}?next=/"> <p class="btn-text"><b>Sign in with Google</b></p> </a>
            </div>


        </div>
        <script src="../static/js/jquery-3.3.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
        <script src="../static/js/structure.js"></script>
     </body>
</html>

contacts/api/templates/list.html
<!DOCTYPE html>
<html>
    {% load static %}
    {% load webpush_notifications %}
    <head>
        <meta charset="UTF-8">
        <title>SiSC Contacts - Upload Contacts</title>
	<link rel="icon" href="../static/images/sisc.png">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependecies -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="../static/css/bootstrap.min.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/list.css">
        <link rel="stylesheet" href="../static/css/toastr.min.css">
        {% webpush_header %}
    </head>
    <body style="background-image:url('../static/images/25.png')">
    <!-- Navbar Starts -->
       <div id="mySidenav" class="sidenav">
           <a href="{% url 'api:main' %}">
                <img class="logo" src="../static/images/sisc.png" />
            </a>
          <a href="{% url 'api:main' %}"><b>Departamente</b></a>
          <a href="{% url 'api:search' %}"><b>Search</b></a>
           {% if cUser %}
           <a href="{% url 'api:contact' cUser %}"><b>Profil</b></a>
           {% endif %}
          {% if request.user.is_staff %}
          <a class="active" href="{% url 'api:list' %}"><b>Upload</b></a>
          <a target="_blank" href="{% url 'admin:index' %}"><b>Admin</b></a>
          {% endif %}
          <a href="{% url 'api:logout' %}"><b>Logout</b></a>
       </div>
        <div id="main">
            <div class="container-fluid">
                <div id="navbar" class="navbar-colored row">
                    <div class="col-12 col-sm-12">
                        <p id="nav-icon1" class="mt-3" onclick="openNav()"><span></span><span></span><span></span></p>
                        <span id="title" class="title" style="float:right;">Upload</span>
                    </div>
                </div>
                <div class="row mt-5 min-width">
                    <div class="col-sm-6 table-container">
                        {% if documents %}
                            <table class="table table-hover table-stripped">
                                <tr>
                                    <td>File</td>
                                    <td>Person</td>
                                    <td>Time</td>
                                </tr>
                                {% for document in documents %}
                                    <tr>
                                        <td><a href="{% url 'api:download' %}">{{ document.docfile.name }}</a></td>
                                        <td>{{ document.uploader }}</td>
                                        <td>{{ document.time }}</td>
                                    </tr>
                                {% endfor %}
                            </table>
                        {% else %}
                            <h3>No document was uploaded</h3>
                        {% endif %}
                        <div class="col-sm-12 card">
                            <div class="row">
                                <div class="col-sm-12">
                                    {{ form.non_field_errors }}
                                    <form action="{% url 'api:list' %}" method="post" enctype="multipart/form-data">
                                        {% csrf_token %}
                                        <span> {{form}}</span>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <span><input class="btn btn-primary" type="submit" value="Upload File" /></span>
                                    </form>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    {% if messages %}
                                        <ul class="messages" style="list-style:none">
                                    {% for message in messages %}
                                        <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                                    {% endfor %}
                                        </ul>
                                    {% endif %}
                                    <a class="btn btn-primary" href="{% url 'api:test' %}">Upload Database</a>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 card">
                            <div class="row">
                                <div class="col-sm-12">
                                    <h3>Send Notification</h3>
                                </div>
                            </div>
                            <div class="row">
                                    <form id="notification-form" class="notification-form" action="{% url 'api:push'%}" method="post" enctype="multipart/form-data">
                                        {% csrf_token %}
                                        <span> {{ notification_form.as_p }}</span>
                                        <input class="btn btn-primary" type="submit" value="Send notification">
                                    </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <!--Navbar and it's moveable content end -->

            <script src="../static/js/jquery-3.3.1.min.js"></script>
            <script src="../static/js/navbar.js"></script>
            <script src="../static/js/structure.js"></script>
            <script src="../static/js/toastr.min.js"></script>
            <script src="{% static 'js/list.js' %}"></script>
     </body>
</html>

contacts/api/templates/main.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <!--{% load static %}-->
        <meta charset="UTF-8">
        <title>SiSC Contacts</title>
        <link rel="icon" href="../static/images/sisc.png">

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Responsiveness -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!-- Dependencies -->
        <!--<link rel="stylesheet prefetch" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">-->
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Roboto:400" />


        <link rel="stylesheet" href="../static/css/normalize.css">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">

        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <script src="../static/js/snap.svg-min.js"></script>
        <link rel="manifest" href="../static/js/manifest.json">
    </head>
    <body >
    <!-- Navbar Starts -->
    <div class="container">
        <div class="menu-wrap">
            <nav class="menu">
                <div class="icon-list">
                    <a class="active"  href="{% url 'api:main' %}"><i class="fas fa-archway  "></i><span>Departments</span></a>
                    <a href="{% url 'api:search' %}"><i class="fa fa-fw fa-search"></i><span>Search</span></a>
                    {% if contact.pk %}
                    <a href="{% url 'api:contact' contact.pk %}"><i class="fa fa-fw fa-user"></i><span>Profile</span></a>
                    {% endif %}
                    {% if request.user.is_staff %}
                    <a href="{% url 'api:list' %}"><i class="fa fa-fw fa-chart-bar "></i><span>Management</span></a>
                    <a target="_blank" href="{% url 'admin:index' %}"><i class="fa fa-fw fa-certificate   "></i><span>Admin</span></a>
                    {% endif %}
                    <a href="{% url 'api:logout' %}"><i class="fa fa-fw fa-sign-out-alt "></i><span>Log out</span></a>

                </div>
            </nav>
            <button class="close-button" id="close-button">Close Menu</button>
            <div class="morph-shape" id="morph-shape" data-morph-open="M-1,0h101c0,0,0-1,0,395c0,404,0,405,0,405H-1V0z">
                <svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 100 800" preserveAspectRatio="none">
                    <path d="M-1,0h101c0,0-97.833,153.603-97.833,396.167C2.167,627.579,100,800,100,800H-1V0z"/>
                </svg>
            </div>
        </div>
        <button class="menu-button" id="open-button">Open Menu</button>

    <div class="content-wrap">
        <div class="content">

            <header class="codrops-header">
                <h1>Departments </h1>


            </header>
            <div class="card-deck card-deck--half-and-half">


                <div class="card">
                    <div class="card__image">

                        <i class="icon fas  fa-lightbulb"></i>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div>
                <div class="card">
                    <div class="card__image">
                        <svg class="icon"><use xlink:href="#delete"></use></svg>
                    </div>
                    <div class="card__content">
                        <h3>IT</h3>
                        <button class="bubbly-button">Members</button>
                    </div>
                </div> <div class="card">
                <div class="card__image">
                    <svg class="icon"><use xlink:href="#delete"></use></svg>
                </div>
                <div class="card__content">
                    <h3>IT</h3>
                    <button class="bubbly-button">Members</button>
                </div>
            </div>

            </div>
        </div>
    </div>
    </div>

        <div id="main">
            <div class="container-fluid">

                <div class="content row">
                    {% for department in departments %}
                       <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                           <div class="card" style="width: 18rem;">
                               <img class="card-img-top" src="../static/images/{{ department.pk }}.png" alt="Missing Image">
                               <div class="card-body">
                                   <h5 class="card-title">{{ department.short_name }}</h5>
                                   <p class="card-text"></p>
                                   <a class="btn btn-primary" href="{% url 'api:department' department.id %}">Membri</a>
                               </div>
                           </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    <!--Navbar and it's moveable contents end -->
        <!--<script src="../static/js/jquery-3.3.1.min.js"></script>-->
        <!--<script src="../static/js/navbar.js"></script>-->
        <!--<script src="../static/js/main.js"></script>-->
        <!--<script src="../static/js/sw.js"></script>-->

    <script src="../static/js/classie.js"></script>
    <script src="../static/js/main3.js"></script>

    </body>
</html>